webhookAPI Endpoints

The below provides developers with essential information on how to integrate and interact with the API, covering key methods, data formats, request/response structures, and error handling protocols.

Send CDR banking data for insights analysis

post

This endpoint is provided to allow CDR participants to send MogoPlus banking data in a single payload. It combines the following endpoints from the CDR OpenAPI document: * /banking/accounts/{accountId} (see notes below on implementation) * /banking/accounts/balances * /banking/accounts/direct-debits * /banking/accounts/{accountId}/transactions (see notes below on implementation) * /banking/accounts/payments/scheduled If a given dataset is not required for insights analysis - for example, balances is not required - the data can simply be omitted. The minimum requirements will, however is account and transaction data, which must be supplied for meaningful analysis to take place. API consumers can submit data from multiple customers or across multiple accounts in a single request.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

Banking data supplied by CDR participant

Responses
post
/cdr-data/v2/banking-data-insights

Retrieve the banking data insights report

get

This endpoint provides the insights report. If processing is ongoing the endpoint will return a 204 to indicate no data is available.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
insightsIdstringRequired

A valid V4 UUID

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-5][0-9a-f]{3}-[089ab][0-9a-f]{3}-[0-9a-f]{12}$
Responses
chevron-right
200

The banking data insights report

application/json

Provides both the state of processing and the response data. Whilst processing is ongoing the data object will be omitted.

reportStringstringOptional
get
/cdr-data/v2/banking-data-insights/{insightsId}

Delete the analysis, purge the result set

delete

Allows an API consumer to purge the result set for a given insights Id

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
insightsIdstringRequired

A valid V4 UUID

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-5][0-9a-f]{3}-[089ab][0-9a-f]{3}-[0-9a-f]{12}$
Responses
delete
/cdr-data/v2/banking-data-insights/{insightsId}

No content

Retrieve the banking data insights report

get

This endpoint provides the insights report. If processing is ongoing the endpoint will return a 204 to indicate no data is available.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
insightsIdstringRequired

A valid V4 UUID

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-5][0-9a-f]{3}-[089ab][0-9a-f]{3}-[0-9a-f]{12}$
orderIdstringRequired

A valid V4 UUID

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-5][0-9a-f]{3}-[089ab][0-9a-f]{3}-[0-9a-f]{12}$
Responses
chevron-right
200

The banking data insights report

application/json

Provides both the state of processing and the response data. Whilst processing is ongoing the data object will be omitted.

reportStringstringOptional
get
/cdr-data/v2/banking-data-insights/{insightsId}/orders/{orderId}

Last updated

Was this helpful?